org.apache.hadoop.yarn.webapp.log

## Class AggregatedLogsNavBlock

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.View
  - - org.apache.hadoop.yarn.webapp.view.TextView
    - - org.apache.hadoop.yarn.webapp.view.HtmlBlock
      - - org.apache.hadoop.yarn.webapp.log.AggregatedLogsNavBlock

- All Implemented Interfaces:
    Params, SubView

      @InterfaceAudience.LimitedPrivate(value={"YARN","MapReduce"})
      public class AggregatedLogsNavBlock
      extends HtmlBlock

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `HtmlBlock.Block`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

      `View.ViewContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `UNAVAILABLE`

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

      `LOG`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

      `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatedLogsNavBlock()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `render(HtmlBlock.Block html)` Render a block of html.

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `getCallerUGI, render, renderPartial`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

      `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

      `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root_url, root, set, setTitle, setTitle, status, url`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatedLogsNavBlock

          public AggregatedLogsNavBlock()

  - ### Method Detail

    - #### render

          protected void render(HtmlBlock.Block html)

      Description copied from class: `HtmlBlock`
      Render a block of html. To be overridden by implementation.
      Specified by:
        `render` in class `HtmlBlock`
      Parameters:
        `html` - the block to render

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.